# Numerical Integration [![View <File Exchange Title> on File Exchange](https://www.mathworks.com/matlabcentral/images/matlab-file-exchange.svg)](https://www.mathworks.com/matlabcentral/fileexchange/####)
**Curriculum Module created in collaboration with Dr. Matthew Leineweber, San Jose State University.**

_Created with R2020b. Compatible with R2020b and later releases._  

<img src="https://user-images.githubusercontent.com/81383420/123653415-1c825a00-d7fb-11eb-8411-d0b97b0d76fb.gif" width="350">


## Description ##
This curriculum module contains interactive [live scripts](https://www.mathworks.com/products/matlab/live-editor.html) that teach two fundamental techniques for approximating definite integrals: the trapezoid and Simpson’s rules. These rules are derived from Lagrange interpolating polynomials and explored through interactive visualizations. Each lesson concludes with a guided activity in which students implement the discussed integration rule. These live scripts can be used as part of a lecture, as activities in an instructional setting, or as an interactive assignment to be completed outside of class.

The instructions inside the live scripts will guide you through the exercises and activities. Get started with each live script by running it one section at a time. To stop running the script or a section midway (for example, when an animation is in progress), use the Stop button in the RUN section of the Live Editor tab in the MATLAB Toolstrip.

## Suggested Prework ##
[MATLAB Onramp](https://www.mathworks.com/learn/tutorials/matlab-onramp.html) – a free two-hour introductory tutorial that teaches the essentials of MATLAB.

## Details ##
**`TrapezoidRule.mlx, TrapezoidRuleSoln.mlx`**  
An interactive lesson that explores the trapezoid rule.

**Learning Goals:**
- Explain numerical quadrature and its relationship to the definite integral
- Describe how the trapezoid rule is derived
- Illustrate the trapezoid rule graphically
- Compare and contrast integration of a continuous function with integration of tabulated data
- Implement the trapezoid rule in MATLAB

## ##
**`SimpsonsRules.mlx, SimpsonsRulesSoln.mlx`**  
An interactive lesson that explores Simpson’s rules.

**Learning Goals:**
- Describe how Lagrange interpolating polynomials can be used to derive integration rules
- Illustrate Simpson’s 1/3 rule graphically
- Explain the steps required to implement Simpson’s 1/3 rule
- Compare the accuracy and limitations of Simpson’s 1/3 rule to those of Simpson’s 3/8 rule
- Implement Simpson’s 3/8 rule in MATLAB

## Products ##
MATLAB&reg;

## License ##
The license for this module is available in the [LICENSE.TXT](license.txt) file in this GitHub repository.

## Support ##
Have any questions or feedback? Contact the <a href="mailto:onlineteaching@mathworks.com">MathWorks online teaching team.</a>

# #

_Copyright 2021 The MathWorks, Inc._
